List Transactions
curl --request GET \
--url https://api.privy.io/v1/transactions \
--header 'Authorization: Basic <encoded-value>' \
--header 'privy-app-id: <privy-app-id>'HttpResponse<String> response = Unirest.get("https://api.privy.io/v1/transactions")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.asString();const options = {
method: 'GET',
headers: {'privy-app-id': '<privy-app-id>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.privy.io/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"transactions": [
{
"id": "cm7oxq1el000e11o8iwp7d0d0",
"wallet_id": "fmfdj6yqly31huorjqzq38zc",
"status": "confirmed",
"transaction_hash": "0x2446f1fd773fbb9f080e674b60c6a033c7ed7427b8b9413cf28a2a4a6da9b56c",
"caip2": "eip155:8453",
"created_at": 1631573050000
}
]
}Transactions
Get transaction by external ID
List transactions by reference ID.
GET
/
v1
/
transactions
List Transactions
Use this endpoint to look up transactions by a developer-provided
reference_id. This is useful for reconciling transactions
initiated via eth_sendTransaction or
signAndSendTransaction with your internal records.
To set a
reference_id on a transaction, pass it when calling
eth_sendTransaction (EVM) or
signAndSendTransaction (Solana). The
reference_id must be unique per transaction and can be up to 64 characters.Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Query Parameters
Developer-provided reference ID to filter transactions by.
Required string length:
1 - 64Response
200 - application/json
List of transactions matching the reference ID.
A list of transactions.
Show child attributes
Show child attributes
Was this page helpful?

